Package com.ocient.jdbc.proto

# Class ClientWireProtocol.Request.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.Request.Builder>
com.google.protobuf.GeneratedMessage.Builder<ClientWireProtocol.Request.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.Request.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.RequestOrBuilder`, `Cloneable`

Enclosing class:
  `ClientWireProtocol.Request`

public static final class ClientWireProtocol.Request.Builder extends GeneratedMessage.Builder<ClientWireProtocol.Request.Builder> implements ClientWireProtocol.RequestOrBuilder

     The request has a type and then the relevant optional field is
     filled.

Protobuf type `xg.cmdcomp.Request`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.Request`
`build()`
Constructs the message based on the state of the Builder.
`ClientWireProtocol.Request`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`ClientWireProtocol.Request.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`ClientWireProtocol.Request.Builder`
`clearAttachToQuery()`
SetPSO set_pso = 27; // Deprecated 28 is defined above 29 is defined above
`ClientWireProtocol.Request.Builder`
`clearCancelQuery()`
`.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.Request.Builder`
`clearClientConnection()`
`.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.Request.Builder`
`clearClientConnection2()`
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.Request.Builder`
`clearClientConnectionGcm()`
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`
`ClientWireProtocol.Request.Builder`
`clearClientConnectionGcm2()`
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`
`ClientWireProtocol.Request.Builder`
`clearClientConnectionRefreshSession()`
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`
`ClientWireProtocol.Request.Builder`
`clearClientConnectionRefreshToken()`
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`
`ClientWireProtocol.Request.Builder`
`clearClientConnectionSecurityToken()`
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`
`ClientWireProtocol.Request.Builder`
`clearClientConnectionSso()`
CheckDataRequest check_data = 39 [deprecated = true]; ClearCache clear_cache = 41;
`ClientWireProtocol.Request.Builder`
`clearClientConnectionSso2()`
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`
`ClientWireProtocol.Request.Builder`
`clearCloseConnection()`
`.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.Request.Builder`
`clearCloseResultSet()`
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.Request.Builder`
`clearExecuteExplain()`
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.Request.Builder`
`clearExecuteExplainForSpark()`
Spark Deprecated
`ClientWireProtocol.Request.Builder`
`clearExecuteExport()`
`.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.Request.Builder`
`clearExecuteInlinePlan()`
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.Request.Builder`
`clearExecutePlan()`
SystemWideQueries system_wide_queries = 18; // Deprecated LocalQueries local_queries = 19; SystemWideCompletedQueries system_wide_completed_queries = 31; // Deprecated
`ClientWireProtocol.Request.Builder`
`clearExecuteQuery()`
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.Request.Builder`
`clearExecuteUpdate()`
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.Request.Builder`
`clearExplainPipeline()`
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`
`ClientWireProtocol.Request.Builder`
`clearExplainPlan()`
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.Request.Builder`
`clearFetchAuthenticators()`
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`
`ClientWireProtocol.Request.Builder`
`clearFetchData()`
`.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.Request.Builder`
`clearFetchMetadata()`
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.Request.Builder`
`clearFetchSystemMetadata()`
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.Request.Builder`
`clearFetchUpdateStatus()`
`.xg.cmdcomp.FetchUpdateStatus fetch_update_status = 47;`
`ClientWireProtocol.Request.Builder`
`clearForceExternal()`
Deprecated.
`ClientWireProtocol.Request.Builder`
`clearGetSchema()`
`.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.Request.Builder`
`clearKillQuery()`
`.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.Request.Builder`
`clearListPlan()`
`.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.Request.Builder`
`clearRequestOneof()`
`ClientWireProtocol.Request.Builder`
`clearSetParameter()`
31 is defined above
`ClientWireProtocol.Request.Builder`
`clearSetSchema()`
`.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.Request.Builder`
`clearTestConnection()`
`.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.Request.Builder`
`clearType()`
`.xg.cmdcomp.Request.RequestType type = 1;`
`ClientWireProtocol.AttachToQuery`
`getAttachToQuery()`
SetPSO set_pso = 27; // Deprecated 28 is defined above 29 is defined above
`ClientWireProtocol.AttachToQuery.Builder`
`getAttachToQueryBuilder()`
SetPSO set_pso = 27; // Deprecated 28 is defined above 29 is defined above
`ClientWireProtocol.AttachToQueryOrBuilder`
`getAttachToQueryOrBuilder()`
SetPSO set_pso = 27; // Deprecated 28 is defined above 29 is defined above
`ClientWireProtocol.CancelQuery`
`getCancelQuery()`
`.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.CancelQuery.Builder`
`getCancelQueryBuilder()`
`.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.CancelQueryOrBuilder`
`getCancelQueryOrBuilder()`
`.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.ClientConnection`
`getClientConnection()`
`.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.ClientConnection2`
`getClientConnection2()`
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.ClientConnection2.Builder`
`getClientConnection2Builder()`
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.ClientConnection2OrBuilder`
`getClientConnection2OrBuilder()`
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.ClientConnection.Builder`
`getClientConnectionBuilder()`
`.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.ClientConnectionGCM`
`getClientConnectionGcm()`
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`
`ClientWireProtocol.ClientConnectionGCM2`
`getClientConnectionGcm2()`
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`
`ClientWireProtocol.ClientConnectionGCM2.Builder`
`getClientConnectionGcm2Builder()`
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`
`ClientWireProtocol.ClientConnectionGCM2OrBuilder`
`getClientConnectionGcm2OrBuilder()`
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`
`ClientWireProtocol.ClientConnectionGCM.Builder`
`getClientConnectionGcmBuilder()`
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`
`ClientWireProtocol.ClientConnectionGCMOrBuilder`
`getClientConnectionGcmOrBuilder()`
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`
`ClientWireProtocol.ClientConnectionOrBuilder`
`getClientConnectionOrBuilder()`
`.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.ClientConnectionRefreshSession`
`getClientConnectionRefreshSession()`
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`
`ClientWireProtocol.ClientConnectionRefreshSession.Builder`
`getClientConnectionRefreshSessionBuilder()`
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`
`ClientWireProtocol.ClientConnectionRefreshSessionOrBuilder`
`getClientConnectionRefreshSessionOrBuilder()`
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`
`ClientWireProtocol.ClientConnectionRefreshToken`
`getClientConnectionRefreshToken()`
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`
`ClientWireProtocol.ClientConnectionRefreshToken.Builder`
`getClientConnectionRefreshTokenBuilder()`
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`
`ClientWireProtocol.ClientConnectionRefreshTokenOrBuilder`
`getClientConnectionRefreshTokenOrBuilder()`
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`
`ClientWireProtocol.ClientConnectionSecurityToken`
`getClientConnectionSecurityToken()`
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`
`ClientWireProtocol.ClientConnectionSecurityToken.Builder`
`getClientConnectionSecurityTokenBuilder()`
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`
`ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
`getClientConnectionSecurityTokenOrBuilder()`
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`
`ClientWireProtocol.ClientConnectionSSO`
`getClientConnectionSso()`
CheckDataRequest check_data = 39 [deprecated = true]; ClearCache clear_cache = 41;
`ClientWireProtocol.ClientConnectionSSO2`
`getClientConnectionSso2()`
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`
`ClientWireProtocol.ClientConnectionSSO2.Builder`
`getClientConnectionSso2Builder()`
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`
`ClientWireProtocol.ClientConnectionSSO2OrBuilder`
`getClientConnectionSso2OrBuilder()`
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`getClientConnectionSsoBuilder()`
CheckDataRequest check_data = 39 [deprecated = true]; ClearCache clear_cache = 41;
`ClientWireProtocol.ClientConnectionSSOOrBuilder`
`getClientConnectionSsoOrBuilder()`
CheckDataRequest check_data = 39 [deprecated = true]; ClearCache clear_cache = 41;
`ClientWireProtocol.CloseConnection`
`getCloseConnection()`
`.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.CloseConnection.Builder`
`getCloseConnectionBuilder()`
`.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.CloseConnectionOrBuilder`
`getCloseConnectionOrBuilder()`
`.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.CloseResultSet`
`getCloseResultSet()`
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.CloseResultSet.Builder`
`getCloseResultSetBuilder()`
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.CloseResultSetOrBuilder`
`getCloseResultSetOrBuilder()`
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.Request`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`ClientWireProtocol.ExecuteExplain`
`getExecuteExplain()`
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.ExecuteExplain.Builder`
`getExecuteExplainBuilder()`
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.ExecuteExplainForSpark`
`getExecuteExplainForSpark()`
Spark Deprecated
`ClientWireProtocol.ExecuteExplainForSpark.Builder`
`getExecuteExplainForSparkBuilder()`
Spark Deprecated
`ClientWireProtocol.ExecuteExplainForSparkOrBuilder`
`getExecuteExplainForSparkOrBuilder()`
Spark Deprecated
`ClientWireProtocol.ExecuteExplainOrBuilder`
`getExecuteExplainOrBuilder()`
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.ExecuteExport`
`getExecuteExport()`
`.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.ExecuteExport.Builder`
`getExecuteExportBuilder()`
`.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.ExecuteExportOrBuilder`
`getExecuteExportOrBuilder()`
`.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.ExecuteInlinePlan`
`getExecuteInlinePlan()`
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.ExecuteInlinePlan.Builder`
`getExecuteInlinePlanBuilder()`
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.ExecuteInlinePlanOrBuilder`
`getExecuteInlinePlanOrBuilder()`
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.ExecutePlan`
`getExecutePlan()`
SystemWideQueries system_wide_queries = 18; // Deprecated LocalQueries local_queries = 19; SystemWideCompletedQueries system_wide_completed_queries = 31; // Deprecated
`ClientWireProtocol.ExecutePlan.Builder`
`getExecutePlanBuilder()`
SystemWideQueries system_wide_queries = 18; // Deprecated LocalQueries local_queries = 19; SystemWideCompletedQueries system_wide_completed_queries = 31; // Deprecated
`ClientWireProtocol.ExecutePlanOrBuilder`
`getExecutePlanOrBuilder()`
SystemWideQueries system_wide_queries = 18; // Deprecated LocalQueries local_queries = 19; SystemWideCompletedQueries system_wide_completed_queries = 31; // Deprecated
`ClientWireProtocol.ExecuteQuery`
`getExecuteQuery()`
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.ExecuteQuery.Builder`
`getExecuteQueryBuilder()`
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.ExecuteQueryOrBuilder`
`getExecuteQueryOrBuilder()`
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.ExecuteUpdate`
`getExecuteUpdate()`
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.ExecuteUpdate.Builder`
`getExecuteUpdateBuilder()`
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.ExecuteUpdateOrBuilder`
`getExecuteUpdateOrBuilder()`
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.ExplainPipelineRequest`
`getExplainPipeline()`
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`
`ClientWireProtocol.ExplainPipelineRequest.Builder`
`getExplainPipelineBuilder()`
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`
`ClientWireProtocol.ExplainPipelineRequestOrBuilder`
`getExplainPipelineOrBuilder()`
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`
`ClientWireProtocol.ExplainPlan`
`getExplainPlan()`
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.ExplainPlan.Builder`
`getExplainPlanBuilder()`
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.ExplainPlanOrBuilder`
`getExplainPlanOrBuilder()`
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.FetchAuthenticators`
`getFetchAuthenticators()`
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`
`ClientWireProtocol.FetchAuthenticators.Builder`
`getFetchAuthenticatorsBuilder()`
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`
`ClientWireProtocol.FetchAuthenticatorsOrBuilder`
`getFetchAuthenticatorsOrBuilder()`
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`
`ClientWireProtocol.FetchData`
`getFetchData()`
`.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.FetchData.Builder`
`getFetchDataBuilder()`
`.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.FetchDataOrBuilder`
`getFetchDataOrBuilder()`
`.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.FetchMetadata`
`getFetchMetadata()`
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.FetchMetadata.Builder`
`getFetchMetadataBuilder()`
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.FetchMetadataOrBuilder`
`getFetchMetadataOrBuilder()`
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.FetchSystemMetadata`
`getFetchSystemMetadata()`
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.FetchSystemMetadata.Builder`
`getFetchSystemMetadataBuilder()`
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.FetchSystemMetadataOrBuilder`
`getFetchSystemMetadataOrBuilder()`
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.FetchUpdateStatus`
`getFetchUpdateStatus()`
`.xg.cmdcomp.FetchUpdateStatus fetch_update_status = 47;`
`ClientWireProtocol.FetchUpdateStatus.Builder`
`getFetchUpdateStatusBuilder()`
`.xg.cmdcomp.FetchUpdateStatus fetch_update_status = 47;`
`ClientWireProtocol.FetchUpdateStatusOrBuilder`
`getFetchUpdateStatusOrBuilder()`
`.xg.cmdcomp.FetchUpdateStatus fetch_update_status = 47;`
`ClientWireProtocol.ForceExternal`
`getForceExternal()`
Deprecated.
xg.cmdcomp.Request.force_external is deprecated.
`ClientWireProtocol.ForceExternal.Builder`
`getForceExternalBuilder()`
Deprecated.
`ClientWireProtocol.ForceExternalOrBuilder`
`getForceExternalOrBuilder()`
Deprecated.
`ClientWireProtocol.GetSchema`
`getGetSchema()`
`.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.GetSchema.Builder`
`getGetSchemaBuilder()`
`.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.GetSchemaOrBuilder`
`getGetSchemaOrBuilder()`
`.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.KillQuery`
`getKillQuery()`
`.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.KillQuery.Builder`
`getKillQueryBuilder()`
`.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.KillQueryOrBuilder`
`getKillQueryOrBuilder()`
`.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.ListPlan`
`getListPlan()`
`.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.ListPlan.Builder`
`getListPlanBuilder()`
`.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.ListPlanOrBuilder`
`getListPlanOrBuilder()`
`.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.Request.RequestOneofCase`
`getRequestOneofCase()`
`ClientWireProtocol.SetParameter`
`getSetParameter()`
31 is defined above
`ClientWireProtocol.SetParameter.Builder`
`getSetParameterBuilder()`
31 is defined above
`ClientWireProtocol.SetParameterOrBuilder`
`getSetParameterOrBuilder()`
31 is defined above
`ClientWireProtocol.SetSchema`
`getSetSchema()`
`.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.SetSchema.Builder`
`getSetSchemaBuilder()`
`.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.SetSchemaOrBuilder`
`getSetSchemaOrBuilder()`
`.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.TestConnection`
`getTestConnection()`
`.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.TestConnection.Builder`
`getTestConnectionBuilder()`
`.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.TestConnectionOrBuilder`
`getTestConnectionOrBuilder()`
`.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.Request.RequestType`
`getType()`
`.xg.cmdcomp.Request.RequestType type = 1;`
`int`
`getTypeValue()`
`.xg.cmdcomp.Request.RequestType type = 1;`
`boolean`
`hasAttachToQuery()`
SetPSO set_pso = 27; // Deprecated 28 is defined above 29 is defined above
`boolean`
`hasCancelQuery()`
`.xg.cmdcomp.CancelQuery cancel_query = 17;`
`boolean`
`hasClientConnection()`
`.xg.cmdcomp.ClientConnection client_connection = 2;`
`boolean`
`hasClientConnection2()`
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`boolean`
`hasClientConnectionGcm()`
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`
`boolean`
`hasClientConnectionGcm2()`
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`
`boolean`
`hasClientConnectionRefreshSession()`
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`
`boolean`
`hasClientConnectionRefreshToken()`
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`
`boolean`
`hasClientConnectionSecurityToken()`
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`
`boolean`
`hasClientConnectionSso()`
CheckDataRequest check_data = 39 [deprecated = true]; ClearCache clear_cache = 41;
`boolean`
`hasClientConnectionSso2()`
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`
`boolean`
`hasCloseConnection()`
`.xg.cmdcomp.CloseConnection close_connection = 5;`
`boolean`
`hasCloseResultSet()`
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`boolean`
`hasExecuteExplain()`
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`boolean`
`hasExecuteExplainForSpark()`
Spark Deprecated
`boolean`
`hasExecuteExport()`
`.xg.cmdcomp.ExecuteExport execute_export = 26;`
`boolean`
`hasExecuteInlinePlan()`
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`boolean`
`hasExecutePlan()`
SystemWideQueries system_wide_queries = 18; // Deprecated LocalQueries local_queries = 19; SystemWideCompletedQueries system_wide_completed_queries = 31; // Deprecated
`boolean`
`hasExecuteQuery()`
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`boolean`
`hasExecuteUpdate()`
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`boolean`
`hasExplainPipeline()`
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`
`boolean`
`hasExplainPlan()`
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`boolean`
`hasFetchAuthenticators()`
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`
`boolean`
`hasFetchData()`
`.xg.cmdcomp.FetchData fetch_data = 8;`
`boolean`
`hasFetchMetadata()`
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`boolean`
`hasFetchSystemMetadata()`
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`boolean`
`hasFetchUpdateStatus()`
`.xg.cmdcomp.FetchUpdateStatus fetch_update_status = 47;`
`boolean`
`hasForceExternal()`
Deprecated.
xg.cmdcomp.Request.force_external is deprecated.
`boolean`
`hasGetSchema()`
`.xg.cmdcomp.GetSchema get_schema = 4;`
`boolean`
`hasKillQuery()`
`.xg.cmdcomp.KillQuery kill_query = 23;`
`boolean`
`hasListPlan()`
`.xg.cmdcomp.ListPlan list_plan = 22;`
`boolean`
`hasSetParameter()`
31 is defined above
`boolean`
`hasSetSchema()`
`.xg.cmdcomp.SetSchema set_schema = 6;`
`boolean`
`hasTestConnection()`
`.xg.cmdcomp.TestConnection test_connection = 7;`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`ClientWireProtocol.Request.Builder`
`mergeAttachToQuery(ClientWireProtocol.AttachToQuery value)`
SetPSO set_pso = 27; // Deprecated 28 is defined above 29 is defined above
`ClientWireProtocol.Request.Builder`
`mergeCancelQuery(ClientWireProtocol.CancelQuery value)`
`.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.Request.Builder`
`mergeClientConnection(ClientWireProtocol.ClientConnection value)`
`.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.Request.Builder`
`mergeClientConnection2(ClientWireProtocol.ClientConnection2 value)`
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.Request.Builder`
`mergeClientConnectionGcm(ClientWireProtocol.ClientConnectionGCM value)`
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`
`ClientWireProtocol.Request.Builder`
`mergeClientConnectionGcm2(ClientWireProtocol.ClientConnectionGCM2 value)`
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`
`ClientWireProtocol.Request.Builder`
`mergeClientConnectionRefreshSession(ClientWireProtocol.ClientConnectionRefreshSession value)`
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`
`ClientWireProtocol.Request.Builder`
`mergeClientConnectionRefreshToken(ClientWireProtocol.ClientConnectionRefreshToken value)`
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`
`ClientWireProtocol.Request.Builder`
`mergeClientConnectionSecurityToken(ClientWireProtocol.ClientConnectionSecurityToken value)`
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`
`ClientWireProtocol.Request.Builder`
`mergeClientConnectionSso(ClientWireProtocol.ClientConnectionSSO value)`
CheckDataRequest check_data = 39 [deprecated = true]; ClearCache clear_cache = 41;
`ClientWireProtocol.Request.Builder`
`mergeClientConnectionSso2(ClientWireProtocol.ClientConnectionSSO2 value)`
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`
`ClientWireProtocol.Request.Builder`
`mergeCloseConnection(ClientWireProtocol.CloseConnection value)`
`.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.Request.Builder`
`mergeCloseResultSet(ClientWireProtocol.CloseResultSet value)`
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.Request.Builder`
`mergeExecuteExplain(ClientWireProtocol.ExecuteExplain value)`
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.Request.Builder`
`mergeExecuteExplainForSpark(ClientWireProtocol.ExecuteExplainForSpark value)`
Spark Deprecated
`ClientWireProtocol.Request.Builder`
`mergeExecuteExport(ClientWireProtocol.ExecuteExport value)`
`.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.Request.Builder`
`mergeExecuteInlinePlan(ClientWireProtocol.ExecuteInlinePlan value)`
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.Request.Builder`
`mergeExecutePlan(ClientWireProtocol.ExecutePlan value)`
SystemWideQueries system_wide_queries = 18; // Deprecated LocalQueries local_queries = 19; SystemWideCompletedQueries system_wide_completed_queries = 31; // Deprecated
`ClientWireProtocol.Request.Builder`
`mergeExecuteQuery(ClientWireProtocol.ExecuteQuery value)`
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.Request.Builder`
`mergeExecuteUpdate(ClientWireProtocol.ExecuteUpdate value)`
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.Request.Builder`
`mergeExplainPipeline(ClientWireProtocol.ExplainPipelineRequest value)`
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`
`ClientWireProtocol.Request.Builder`
`mergeExplainPlan(ClientWireProtocol.ExplainPlan value)`
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.Request.Builder`
`mergeFetchAuthenticators(ClientWireProtocol.FetchAuthenticators value)`
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`
`ClientWireProtocol.Request.Builder`
`mergeFetchData(ClientWireProtocol.FetchData value)`
`.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.Request.Builder`
`mergeFetchMetadata(ClientWireProtocol.FetchMetadata value)`
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.Request.Builder`
`mergeFetchSystemMetadata(ClientWireProtocol.FetchSystemMetadata value)`
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.Request.Builder`
`mergeFetchUpdateStatus(ClientWireProtocol.FetchUpdateStatus value)`
`.xg.cmdcomp.FetchUpdateStatus fetch_update_status = 47;`
`ClientWireProtocol.Request.Builder`
`mergeForceExternal(ClientWireProtocol.ForceExternal value)`
Deprecated.
`ClientWireProtocol.Request.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`ClientWireProtocol.Request.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`ClientWireProtocol.Request.Builder`
`mergeFrom(ClientWireProtocol.Request other)`
`ClientWireProtocol.Request.Builder`
`mergeGetSchema(ClientWireProtocol.GetSchema value)`
`.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.Request.Builder`
`mergeKillQuery(ClientWireProtocol.KillQuery value)`
`.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.Request.Builder`
`mergeListPlan(ClientWireProtocol.ListPlan value)`
`.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.Request.Builder`
`mergeSetParameter(ClientWireProtocol.SetParameter value)`
31 is defined above
`ClientWireProtocol.Request.Builder`
`mergeSetSchema(ClientWireProtocol.SetSchema value)`
`.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.Request.Builder`
`mergeTestConnection(ClientWireProtocol.TestConnection value)`
`.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.Request.Builder`
`setAttachToQuery(ClientWireProtocol.AttachToQuery value)`
SetPSO set_pso = 27; // Deprecated 28 is defined above 29 is defined above
`ClientWireProtocol.Request.Builder`
`setAttachToQuery(ClientWireProtocol.AttachToQuery.Builder builderForValue)`
SetPSO set_pso = 27; // Deprecated 28 is defined above 29 is defined above
`ClientWireProtocol.Request.Builder`
`setCancelQuery(ClientWireProtocol.CancelQuery value)`
`.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.Request.Builder`
`setCancelQuery(ClientWireProtocol.CancelQuery.Builder builderForValue)`
`.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.Request.Builder`
`setClientConnection(ClientWireProtocol.ClientConnection value)`
`.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.Request.Builder`
`setClientConnection(ClientWireProtocol.ClientConnection.Builder builderForValue)`
`.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.Request.Builder`
`setClientConnection2(ClientWireProtocol.ClientConnection2 value)`
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.Request.Builder`
`setClientConnection2(ClientWireProtocol.ClientConnection2.Builder builderForValue)`
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.Request.Builder`
`setClientConnectionGcm(ClientWireProtocol.ClientConnectionGCM value)`
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`
`ClientWireProtocol.Request.Builder`
`setClientConnectionGcm(ClientWireProtocol.ClientConnectionGCM.Builder builderForValue)`
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`
`ClientWireProtocol.Request.Builder`
`setClientConnectionGcm2(ClientWireProtocol.ClientConnectionGCM2 value)`
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`
`ClientWireProtocol.Request.Builder`
`setClientConnectionGcm2(ClientWireProtocol.ClientConnectionGCM2.Builder builderForValue)`
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`
`ClientWireProtocol.Request.Builder`
`setClientConnectionRefreshSession(ClientWireProtocol.ClientConnectionRefreshSession value)`
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`
`ClientWireProtocol.Request.Builder`
`setClientConnectionRefreshSession(ClientWireProtocol.ClientConnectionRefreshSession.Builder builderForValue)`
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`
`ClientWireProtocol.Request.Builder`
`setClientConnectionRefreshToken(ClientWireProtocol.ClientConnectionRefreshToken value)`
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`
`ClientWireProtocol.Request.Builder`
`setClientConnectionRefreshToken(ClientWireProtocol.ClientConnectionRefreshToken.Builder builderForValue)`
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`
`ClientWireProtocol.Request.Builder`
`setClientConnectionSecurityToken(ClientWireProtocol.ClientConnectionSecurityToken value)`
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`
`ClientWireProtocol.Request.Builder`
`setClientConnectionSecurityToken(ClientWireProtocol.ClientConnectionSecurityToken.Builder builderForValue)`
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`
`ClientWireProtocol.Request.Builder`
`setClientConnectionSso(ClientWireProtocol.ClientConnectionSSO value)`
CheckDataRequest check_data = 39 [deprecated = true]; ClearCache clear_cache = 41;
`ClientWireProtocol.Request.Builder`
`setClientConnectionSso(ClientWireProtocol.ClientConnectionSSO.Builder builderForValue)`
CheckDataRequest check_data = 39 [deprecated = true]; ClearCache clear_cache = 41;
`ClientWireProtocol.Request.Builder`
`setClientConnectionSso2(ClientWireProtocol.ClientConnectionSSO2 value)`
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`
`ClientWireProtocol.Request.Builder`
`setClientConnectionSso2(ClientWireProtocol.ClientConnectionSSO2.Builder builderForValue)`
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`
`ClientWireProtocol.Request.Builder`
`setCloseConnection(ClientWireProtocol.CloseConnection value)`
`.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.Request.Builder`
`setCloseConnection(ClientWireProtocol.CloseConnection.Builder builderForValue)`
`.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.Request.Builder`
`setCloseResultSet(ClientWireProtocol.CloseResultSet value)`
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.Request.Builder`
`setCloseResultSet(ClientWireProtocol.CloseResultSet.Builder builderForValue)`
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.Request.Builder`
`setExecuteExplain(ClientWireProtocol.ExecuteExplain value)`
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.Request.Builder`
`setExecuteExplain(ClientWireProtocol.ExecuteExplain.Builder builderForValue)`
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.Request.Builder`
`setExecuteExplainForSpark(ClientWireProtocol.ExecuteExplainForSpark value)`
Spark Deprecated
`ClientWireProtocol.Request.Builder`
`setExecuteExplainForSpark(ClientWireProtocol.ExecuteExplainForSpark.Builder builderForValue)`
Spark Deprecated
`ClientWireProtocol.Request.Builder`
`setExecuteExport(ClientWireProtocol.ExecuteExport value)`
`.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.Request.Builder`
`setExecuteExport(ClientWireProtocol.ExecuteExport.Builder builderForValue)`
`.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.Request.Builder`
`setExecuteInlinePlan(ClientWireProtocol.ExecuteInlinePlan value)`
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.Request.Builder`
`setExecuteInlinePlan(ClientWireProtocol.ExecuteInlinePlan.Builder builderForValue)`
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.Request.Builder`
`setExecutePlan(ClientWireProtocol.ExecutePlan value)`
SystemWideQueries system_wide_queries = 18; // Deprecated LocalQueries local_queries = 19; SystemWideCompletedQueries system_wide_completed_queries = 31; // Deprecated
`ClientWireProtocol.Request.Builder`
`setExecutePlan(ClientWireProtocol.ExecutePlan.Builder builderForValue)`
SystemWideQueries system_wide_queries = 18; // Deprecated LocalQueries local_queries = 19; SystemWideCompletedQueries system_wide_completed_queries = 31; // Deprecated
`ClientWireProtocol.Request.Builder`
`setExecuteQuery(ClientWireProtocol.ExecuteQuery value)`
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.Request.Builder`
`setExecuteQuery(ClientWireProtocol.ExecuteQuery.Builder builderForValue)`
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.Request.Builder`
`setExecuteUpdate(ClientWireProtocol.ExecuteUpdate value)`
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.Request.Builder`
`setExecuteUpdate(ClientWireProtocol.ExecuteUpdate.Builder builderForValue)`
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.Request.Builder`
`setExplainPipeline(ClientWireProtocol.ExplainPipelineRequest value)`
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`
`ClientWireProtocol.Request.Builder`
`setExplainPipeline(ClientWireProtocol.ExplainPipelineRequest.Builder builderForValue)`
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`
`ClientWireProtocol.Request.Builder`
`setExplainPlan(ClientWireProtocol.ExplainPlan value)`
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.Request.Builder`
`setExplainPlan(ClientWireProtocol.ExplainPlan.Builder builderForValue)`
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.Request.Builder`
`setFetchAuthenticators(ClientWireProtocol.FetchAuthenticators value)`
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`
`ClientWireProtocol.Request.Builder`
`setFetchAuthenticators(ClientWireProtocol.FetchAuthenticators.Builder builderForValue)`
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`
`ClientWireProtocol.Request.Builder`
`setFetchData(ClientWireProtocol.FetchData value)`
`.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.Request.Builder`
`setFetchData(ClientWireProtocol.FetchData.Builder builderForValue)`
`.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.Request.Builder`
`setFetchMetadata(ClientWireProtocol.FetchMetadata value)`
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.Request.Builder`
`setFetchMetadata(ClientWireProtocol.FetchMetadata.Builder builderForValue)`
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.Request.Builder`
`setFetchSystemMetadata(ClientWireProtocol.FetchSystemMetadata value)`
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.Request.Builder`
`setFetchSystemMetadata(ClientWireProtocol.FetchSystemMetadata.Builder builderForValue)`
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.Request.Builder`
`setFetchUpdateStatus(ClientWireProtocol.FetchUpdateStatus value)`
`.xg.cmdcomp.FetchUpdateStatus fetch_update_status = 47;`
`ClientWireProtocol.Request.Builder`
`setFetchUpdateStatus(ClientWireProtocol.FetchUpdateStatus.Builder builderForValue)`
`.xg.cmdcomp.FetchUpdateStatus fetch_update_status = 47;`
`ClientWireProtocol.Request.Builder`
`setForceExternal(ClientWireProtocol.ForceExternal value)`
Deprecated.
`ClientWireProtocol.Request.Builder`
`setForceExternal(ClientWireProtocol.ForceExternal.Builder builderForValue)`
Deprecated.
`ClientWireProtocol.Request.Builder`
`setGetSchema(ClientWireProtocol.GetSchema value)`
`.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.Request.Builder`
`setGetSchema(ClientWireProtocol.GetSchema.Builder builderForValue)`
`.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.Request.Builder`
`setKillQuery(ClientWireProtocol.KillQuery value)`
`.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.Request.Builder`
`setKillQuery(ClientWireProtocol.KillQuery.Builder builderForValue)`
`.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.Request.Builder`
`setListPlan(ClientWireProtocol.ListPlan value)`
`.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.Request.Builder`
`setListPlan(ClientWireProtocol.ListPlan.Builder builderForValue)`
`.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.Request.Builder`
`setSetParameter(ClientWireProtocol.SetParameter value)`
31 is defined above
`ClientWireProtocol.Request.Builder`
`setSetParameter(ClientWireProtocol.SetParameter.Builder builderForValue)`
31 is defined above
`ClientWireProtocol.Request.Builder`
`setSetSchema(ClientWireProtocol.SetSchema value)`
`.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.Request.Builder`
`setSetSchema(ClientWireProtocol.SetSchema.Builder builderForValue)`
`.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.Request.Builder`
`setTestConnection(ClientWireProtocol.TestConnection value)`
`.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.Request.Builder`
`setTestConnection(ClientWireProtocol.TestConnection.Builder builderForValue)`
`.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.Request.Builder`
`setType(ClientWireProtocol.Request.RequestType value)`
`.xg.cmdcomp.Request.RequestType type = 1;`
`ClientWireProtocol.Request.Builder`
`setTypeValue(int value)`
`.xg.cmdcomp.Request.RequestType type = 1;`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<ClientWireProtocol.Request.Builder>`

### clear

public ClientWireProtocol.Request.Builder clear()
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.Builder<ClientWireProtocol.Request.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessage.Builder<ClientWireProtocol.Request.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.Request getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public ClientWireProtocol.Request build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public ClientWireProtocol.Request buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.Request.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.Request.Builder>`

### mergeFrom

public ClientWireProtocol.Request.Builder mergeFrom(ClientWireProtocol.Request other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.Builder<ClientWireProtocol.Request.Builder>`

### mergeFrom

public ClientWireProtocol.Request.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.Request.Builder>`
Throws:
  `IOException` - an I/O error reading from the stream

### getRequestOneofCase

public ClientWireProtocol.Request.RequestOneofCase getRequestOneofCase()

Specified by:
  `getRequestOneofCase` in interface `ClientWireProtocol.RequestOrBuilder`

### clearRequestOneof

public ClientWireProtocol.Request.Builder clearRequestOneof()

### getTypeValue

public int getTypeValue()
`.xg.cmdcomp.Request.RequestType type = 1;`

Specified by:
  `getTypeValue` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The enum numeric value on the wire for type.

### setTypeValue

public ClientWireProtocol.Request.Builder setTypeValue(int value)
`.xg.cmdcomp.Request.RequestType type = 1;`

Parameters:
  `value` - The enum numeric value on the wire for type to set.
Returns:
  This builder for chaining.

### getType

public ClientWireProtocol.Request.RequestType getType()
`.xg.cmdcomp.Request.RequestType type = 1;`

Specified by:
  `getType` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The type.

### setType

public ClientWireProtocol.Request.Builder setType(ClientWireProtocol.Request.RequestType value)
`.xg.cmdcomp.Request.RequestType type = 1;`

Parameters:
  `value` - The type to set.
Returns:
  This builder for chaining.

### clearType

public ClientWireProtocol.Request.Builder clearType()
`.xg.cmdcomp.Request.RequestType type = 1;`

Returns:
  This builder for chaining.

### hasClientConnection

public boolean hasClientConnection()
`.xg.cmdcomp.ClientConnection client_connection = 2;`

Specified by:
  `hasClientConnection` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnection field is set.

### getClientConnection

public ClientWireProtocol.ClientConnection getClientConnection()
`.xg.cmdcomp.ClientConnection client_connection = 2;`

Specified by:
  `getClientConnection` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnection.

### setClientConnection

public ClientWireProtocol.Request.Builder setClientConnection(ClientWireProtocol.ClientConnection value)
`.xg.cmdcomp.ClientConnection client_connection = 2;`

### setClientConnection

public ClientWireProtocol.Request.Builder setClientConnection(ClientWireProtocol.ClientConnection.Builder builderForValue)
`.xg.cmdcomp.ClientConnection client_connection = 2;`

### mergeClientConnection

public ClientWireProtocol.Request.Builder mergeClientConnection(ClientWireProtocol.ClientConnection value)
`.xg.cmdcomp.ClientConnection client_connection = 2;`

### clearClientConnection

public ClientWireProtocol.Request.Builder clearClientConnection()
`.xg.cmdcomp.ClientConnection client_connection = 2;`

### getClientConnectionBuilder

public ClientWireProtocol.ClientConnection.Builder getClientConnectionBuilder()
`.xg.cmdcomp.ClientConnection client_connection = 2;`

### getClientConnectionOrBuilder

public ClientWireProtocol.ClientConnectionOrBuilder getClientConnectionOrBuilder()
`.xg.cmdcomp.ClientConnection client_connection = 2;`

Specified by:
  `getClientConnectionOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasClientConnection2

public boolean hasClientConnection2()
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

Specified by:
  `hasClientConnection2` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnection2 field is set.

### getClientConnection2

public ClientWireProtocol.ClientConnection2 getClientConnection2()
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

Specified by:
  `getClientConnection2` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnection2.

### setClientConnection2

public ClientWireProtocol.Request.Builder setClientConnection2(ClientWireProtocol.ClientConnection2 value)
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

### setClientConnection2

public ClientWireProtocol.Request.Builder setClientConnection2(ClientWireProtocol.ClientConnection2.Builder builderForValue)
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

### mergeClientConnection2

public ClientWireProtocol.Request.Builder mergeClientConnection2(ClientWireProtocol.ClientConnection2 value)
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

### clearClientConnection2

public ClientWireProtocol.Request.Builder clearClientConnection2()
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

### getClientConnection2Builder

public ClientWireProtocol.ClientConnection2.Builder getClientConnection2Builder()
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

### getClientConnection2OrBuilder

public ClientWireProtocol.ClientConnection2OrBuilder getClientConnection2OrBuilder()
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

Specified by:
  `getClientConnection2OrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasGetSchema

public boolean hasGetSchema()
`.xg.cmdcomp.GetSchema get_schema = 4;`

Specified by:
  `hasGetSchema` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the getSchema field is set.

### getGetSchema

public ClientWireProtocol.GetSchema getGetSchema()
`.xg.cmdcomp.GetSchema get_schema = 4;`

Specified by:
  `getGetSchema` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The getSchema.

### setGetSchema

public ClientWireProtocol.Request.Builder setGetSchema(ClientWireProtocol.GetSchema value)
`.xg.cmdcomp.GetSchema get_schema = 4;`

### setGetSchema

public ClientWireProtocol.Request.Builder setGetSchema(ClientWireProtocol.GetSchema.Builder builderForValue)
`.xg.cmdcomp.GetSchema get_schema = 4;`

### mergeGetSchema

public ClientWireProtocol.Request.Builder mergeGetSchema(ClientWireProtocol.GetSchema value)
`.xg.cmdcomp.GetSchema get_schema = 4;`

### clearGetSchema

public ClientWireProtocol.Request.Builder clearGetSchema()
`.xg.cmdcomp.GetSchema get_schema = 4;`

### getGetSchemaBuilder

public ClientWireProtocol.GetSchema.Builder getGetSchemaBuilder()
`.xg.cmdcomp.GetSchema get_schema = 4;`

### getGetSchemaOrBuilder

public ClientWireProtocol.GetSchemaOrBuilder getGetSchemaOrBuilder()
`.xg.cmdcomp.GetSchema get_schema = 4;`

Specified by:
  `getGetSchemaOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasCloseConnection

public boolean hasCloseConnection()
`.xg.cmdcomp.CloseConnection close_connection = 5;`

Specified by:
  `hasCloseConnection` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the closeConnection field is set.

### getCloseConnection

public ClientWireProtocol.CloseConnection getCloseConnection()
`.xg.cmdcomp.CloseConnection close_connection = 5;`

Specified by:
  `getCloseConnection` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The closeConnection.

### setCloseConnection

public ClientWireProtocol.Request.Builder setCloseConnection(ClientWireProtocol.CloseConnection value)
`.xg.cmdcomp.CloseConnection close_connection = 5;`

### setCloseConnection

public ClientWireProtocol.Request.Builder setCloseConnection(ClientWireProtocol.CloseConnection.Builder builderForValue)
`.xg.cmdcomp.CloseConnection close_connection = 5;`

### mergeCloseConnection

public ClientWireProtocol.Request.Builder mergeCloseConnection(ClientWireProtocol.CloseConnection value)
`.xg.cmdcomp.CloseConnection close_connection = 5;`

### clearCloseConnection

public ClientWireProtocol.Request.Builder clearCloseConnection()
`.xg.cmdcomp.CloseConnection close_connection = 5;`

### getCloseConnectionBuilder

public ClientWireProtocol.CloseConnection.Builder getCloseConnectionBuilder()
`.xg.cmdcomp.CloseConnection close_connection = 5;`

### getCloseConnectionOrBuilder

public ClientWireProtocol.CloseConnectionOrBuilder getCloseConnectionOrBuilder()
`.xg.cmdcomp.CloseConnection close_connection = 5;`

Specified by:
  `getCloseConnectionOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasSetSchema

public boolean hasSetSchema()
`.xg.cmdcomp.SetSchema set_schema = 6;`

Specified by:
  `hasSetSchema` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the setSchema field is set.

### getSetSchema

public ClientWireProtocol.SetSchema getSetSchema()
`.xg.cmdcomp.SetSchema set_schema = 6;`

Specified by:
  `getSetSchema` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The setSchema.

### setSetSchema

public ClientWireProtocol.Request.Builder setSetSchema(ClientWireProtocol.SetSchema value)
`.xg.cmdcomp.SetSchema set_schema = 6;`

### setSetSchema

public ClientWireProtocol.Request.Builder setSetSchema(ClientWireProtocol.SetSchema.Builder builderForValue)
`.xg.cmdcomp.SetSchema set_schema = 6;`

### mergeSetSchema

public ClientWireProtocol.Request.Builder mergeSetSchema(ClientWireProtocol.SetSchema value)
`.xg.cmdcomp.SetSchema set_schema = 6;`

### clearSetSchema

public ClientWireProtocol.Request.Builder clearSetSchema()
`.xg.cmdcomp.SetSchema set_schema = 6;`

### getSetSchemaBuilder

public ClientWireProtocol.SetSchema.Builder getSetSchemaBuilder()
`.xg.cmdcomp.SetSchema set_schema = 6;`

### getSetSchemaOrBuilder

public ClientWireProtocol.SetSchemaOrBuilder getSetSchemaOrBuilder()
`.xg.cmdcomp.SetSchema set_schema = 6;`

Specified by:
  `getSetSchemaOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasTestConnection

public boolean hasTestConnection()
`.xg.cmdcomp.TestConnection test_connection = 7;`

Specified by:
  `hasTestConnection` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the testConnection field is set.

### getTestConnection

public ClientWireProtocol.TestConnection getTestConnection()
`.xg.cmdcomp.TestConnection test_connection = 7;`

Specified by:
  `getTestConnection` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The testConnection.

### setTestConnection

public ClientWireProtocol.Request.Builder setTestConnection(ClientWireProtocol.TestConnection value)
`.xg.cmdcomp.TestConnection test_connection = 7;`

### setTestConnection

public ClientWireProtocol.Request.Builder setTestConnection(ClientWireProtocol.TestConnection.Builder builderForValue)
`.xg.cmdcomp.TestConnection test_connection = 7;`

### mergeTestConnection

public ClientWireProtocol.Request.Builder mergeTestConnection(ClientWireProtocol.TestConnection value)
`.xg.cmdcomp.TestConnection test_connection = 7;`

### clearTestConnection

public ClientWireProtocol.Request.Builder clearTestConnection()
`.xg.cmdcomp.TestConnection test_connection = 7;`

### getTestConnectionBuilder

public ClientWireProtocol.TestConnection.Builder getTestConnectionBuilder()
`.xg.cmdcomp.TestConnection test_connection = 7;`

### getTestConnectionOrBuilder

public ClientWireProtocol.TestConnectionOrBuilder getTestConnectionOrBuilder()
`.xg.cmdcomp.TestConnection test_connection = 7;`

Specified by:
  `getTestConnectionOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasFetchData

public boolean hasFetchData()
`.xg.cmdcomp.FetchData fetch_data = 8;`

Specified by:
  `hasFetchData` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the fetchData field is set.

### getFetchData

public ClientWireProtocol.FetchData getFetchData()
`.xg.cmdcomp.FetchData fetch_data = 8;`

Specified by:
  `getFetchData` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The fetchData.

### setFetchData

public ClientWireProtocol.Request.Builder setFetchData(ClientWireProtocol.FetchData value)
`.xg.cmdcomp.FetchData fetch_data = 8;`

### setFetchData

public ClientWireProtocol.Request.Builder setFetchData(ClientWireProtocol.FetchData.Builder builderForValue)
`.xg.cmdcomp.FetchData fetch_data = 8;`

### mergeFetchData

public ClientWireProtocol.Request.Builder mergeFetchData(ClientWireProtocol.FetchData value)
`.xg.cmdcomp.FetchData fetch_data = 8;`

### clearFetchData

public ClientWireProtocol.Request.Builder clearFetchData()
`.xg.cmdcomp.FetchData fetch_data = 8;`

### getFetchDataBuilder

public ClientWireProtocol.FetchData.Builder getFetchDataBuilder()
`.xg.cmdcomp.FetchData fetch_data = 8;`

### getFetchDataOrBuilder

public ClientWireProtocol.FetchDataOrBuilder getFetchDataOrBuilder()
`.xg.cmdcomp.FetchData fetch_data = 8;`

Specified by:
  `getFetchDataOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasFetchMetadata

public boolean hasFetchMetadata()
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

Specified by:
  `hasFetchMetadata` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the fetchMetadata field is set.

### getFetchMetadata

public ClientWireProtocol.FetchMetadata getFetchMetadata()
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

Specified by:
  `getFetchMetadata` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The fetchMetadata.

### setFetchMetadata

public ClientWireProtocol.Request.Builder setFetchMetadata(ClientWireProtocol.FetchMetadata value)
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

### setFetchMetadata

public ClientWireProtocol.Request.Builder setFetchMetadata(ClientWireProtocol.FetchMetadata.Builder builderForValue)
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

### mergeFetchMetadata

public ClientWireProtocol.Request.Builder mergeFetchMetadata(ClientWireProtocol.FetchMetadata value)
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

### clearFetchMetadata

public ClientWireProtocol.Request.Builder clearFetchMetadata()
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

### getFetchMetadataBuilder

public ClientWireProtocol.FetchMetadata.Builder getFetchMetadataBuilder()
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

### getFetchMetadataOrBuilder

public ClientWireProtocol.FetchMetadataOrBuilder getFetchMetadataOrBuilder()
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

Specified by:
  `getFetchMetadataOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasCloseResultSet

public boolean hasCloseResultSet()
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

Specified by:
  `hasCloseResultSet` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the closeResultSet field is set.

### getCloseResultSet

public ClientWireProtocol.CloseResultSet getCloseResultSet()
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

Specified by:
  `getCloseResultSet` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The closeResultSet.

### setCloseResultSet

public ClientWireProtocol.Request.Builder setCloseResultSet(ClientWireProtocol.CloseResultSet value)
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

### setCloseResultSet

public ClientWireProtocol.Request.Builder setCloseResultSet(ClientWireProtocol.CloseResultSet.Builder builderForValue)
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

### mergeCloseResultSet

public ClientWireProtocol.Request.Builder mergeCloseResultSet(ClientWireProtocol.CloseResultSet value)
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

### clearCloseResultSet

public ClientWireProtocol.Request.Builder clearCloseResultSet()
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

### getCloseResultSetBuilder

public ClientWireProtocol.CloseResultSet.Builder getCloseResultSetBuilder()
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

### getCloseResultSetOrBuilder

public ClientWireProtocol.CloseResultSetOrBuilder getCloseResultSetOrBuilder()
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

Specified by:
  `getCloseResultSetOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasExecuteQuery

public boolean hasExecuteQuery()
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

Specified by:
  `hasExecuteQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executeQuery field is set.

### getExecuteQuery

public ClientWireProtocol.ExecuteQuery getExecuteQuery()
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

Specified by:
  `getExecuteQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executeQuery.

### setExecuteQuery

public ClientWireProtocol.Request.Builder setExecuteQuery(ClientWireProtocol.ExecuteQuery value)
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

### setExecuteQuery

public ClientWireProtocol.Request.Builder setExecuteQuery(ClientWireProtocol.ExecuteQuery.Builder builderForValue)
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

### mergeExecuteQuery

public ClientWireProtocol.Request.Builder mergeExecuteQuery(ClientWireProtocol.ExecuteQuery value)
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

### clearExecuteQuery

public ClientWireProtocol.Request.Builder clearExecuteQuery()
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

### getExecuteQueryBuilder

public ClientWireProtocol.ExecuteQuery.Builder getExecuteQueryBuilder()
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

### getExecuteQueryOrBuilder

public ClientWireProtocol.ExecuteQueryOrBuilder getExecuteQueryOrBuilder()
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

Specified by:
  `getExecuteQueryOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasExecuteExplain

public boolean hasExecuteExplain()
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

Specified by:
  `hasExecuteExplain` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executeExplain field is set.

### getExecuteExplain

public ClientWireProtocol.ExecuteExplain getExecuteExplain()
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

Specified by:
  `getExecuteExplain` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executeExplain.

### setExecuteExplain

public ClientWireProtocol.Request.Builder setExecuteExplain(ClientWireProtocol.ExecuteExplain value)
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

### setExecuteExplain

public ClientWireProtocol.Request.Builder setExecuteExplain(ClientWireProtocol.ExecuteExplain.Builder builderForValue)
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

### mergeExecuteExplain

public ClientWireProtocol.Request.Builder mergeExecuteExplain(ClientWireProtocol.ExecuteExplain value)
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

### clearExecuteExplain

public ClientWireProtocol.Request.Builder clearExecuteExplain()
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

### getExecuteExplainBuilder

public ClientWireProtocol.ExecuteExplain.Builder getExecuteExplainBuilder()
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

### getExecuteExplainOrBuilder

public ClientWireProtocol.ExecuteExplainOrBuilder getExecuteExplainOrBuilder()
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

Specified by:
  `getExecuteExplainOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasExecuteExplainForSpark

public boolean hasExecuteExplainForSpark()

     Spark Deprecated

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

Specified by:
  `hasExecuteExplainForSpark` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executeExplainForSpark field is set.

### getExecuteExplainForSpark

public ClientWireProtocol.ExecuteExplainForSpark getExecuteExplainForSpark()

     Spark Deprecated

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

Specified by:
  `getExecuteExplainForSpark` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executeExplainForSpark.

### setExecuteExplainForSpark

public ClientWireProtocol.Request.Builder setExecuteExplainForSpark(ClientWireProtocol.ExecuteExplainForSpark value)

     Spark Deprecated

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

### setExecuteExplainForSpark

public ClientWireProtocol.Request.Builder setExecuteExplainForSpark(ClientWireProtocol.ExecuteExplainForSpark.Builder builderForValue)

     Spark Deprecated

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

### mergeExecuteExplainForSpark

public ClientWireProtocol.Request.Builder mergeExecuteExplainForSpark(ClientWireProtocol.ExecuteExplainForSpark value)

     Spark Deprecated

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

### clearExecuteExplainForSpark

public ClientWireProtocol.Request.Builder clearExecuteExplainForSpark()

     Spark Deprecated

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

### getExecuteExplainForSparkBuilder

public ClientWireProtocol.ExecuteExplainForSpark.Builder getExecuteExplainForSparkBuilder()

     Spark Deprecated

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

### getExecuteExplainForSparkOrBuilder

public ClientWireProtocol.ExecuteExplainForSparkOrBuilder getExecuteExplainForSparkOrBuilder()

     Spark Deprecated

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

Specified by:
  `getExecuteExplainForSparkOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasExecuteUpdate

public boolean hasExecuteUpdate()
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

Specified by:
  `hasExecuteUpdate` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executeUpdate field is set.

### getExecuteUpdate

public ClientWireProtocol.ExecuteUpdate getExecuteUpdate()
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

Specified by:
  `getExecuteUpdate` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executeUpdate.

### setExecuteUpdate

public ClientWireProtocol.Request.Builder setExecuteUpdate(ClientWireProtocol.ExecuteUpdate value)
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

### setExecuteUpdate

public ClientWireProtocol.Request.Builder setExecuteUpdate(ClientWireProtocol.ExecuteUpdate.Builder builderForValue)
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

### mergeExecuteUpdate

public ClientWireProtocol.Request.Builder mergeExecuteUpdate(ClientWireProtocol.ExecuteUpdate value)
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

### clearExecuteUpdate

public ClientWireProtocol.Request.Builder clearExecuteUpdate()
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

### getExecuteUpdateBuilder

public ClientWireProtocol.ExecuteUpdate.Builder getExecuteUpdateBuilder()
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

### getExecuteUpdateOrBuilder

public ClientWireProtocol.ExecuteUpdateOrBuilder getExecuteUpdateOrBuilder()
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

Specified by:
  `getExecuteUpdateOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasFetchSystemMetadata

public boolean hasFetchSystemMetadata()
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

Specified by:
  `hasFetchSystemMetadata` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the fetchSystemMetadata field is set.

### getFetchSystemMetadata

public ClientWireProtocol.FetchSystemMetadata getFetchSystemMetadata()
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

Specified by:
  `getFetchSystemMetadata` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The fetchSystemMetadata.

### setFetchSystemMetadata

public ClientWireProtocol.Request.Builder setFetchSystemMetadata(ClientWireProtocol.FetchSystemMetadata value)
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

### setFetchSystemMetadata

public ClientWireProtocol.Request.Builder setFetchSystemMetadata(ClientWireProtocol.FetchSystemMetadata.Builder builderForValue)
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

### mergeFetchSystemMetadata

public ClientWireProtocol.Request.Builder mergeFetchSystemMetadata(ClientWireProtocol.FetchSystemMetadata value)
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

### clearFetchSystemMetadata

public ClientWireProtocol.Request.Builder clearFetchSystemMetadata()
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

### getFetchSystemMetadataBuilder

public ClientWireProtocol.FetchSystemMetadata.Builder getFetchSystemMetadataBuilder()
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

### getFetchSystemMetadataOrBuilder

public ClientWireProtocol.FetchSystemMetadataOrBuilder getFetchSystemMetadataOrBuilder()
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

Specified by:
  `getFetchSystemMetadataOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasCancelQuery

public boolean hasCancelQuery()
`.xg.cmdcomp.CancelQuery cancel_query = 17;`

Specified by:
  `hasCancelQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the cancelQuery field is set.

### getCancelQuery

public ClientWireProtocol.CancelQuery getCancelQuery()
`.xg.cmdcomp.CancelQuery cancel_query = 17;`

Specified by:
  `getCancelQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The cancelQuery.

### setCancelQuery

public ClientWireProtocol.Request.Builder setCancelQuery(ClientWireProtocol.CancelQuery value)
`.xg.cmdcomp.CancelQuery cancel_query = 17;`

### setCancelQuery

public ClientWireProtocol.Request.Builder setCancelQuery(ClientWireProtocol.CancelQuery.Builder builderForValue)
`.xg.cmdcomp.CancelQuery cancel_query = 17;`

### mergeCancelQuery

public ClientWireProtocol.Request.Builder mergeCancelQuery(ClientWireProtocol.CancelQuery value)
`.xg.cmdcomp.CancelQuery cancel_query = 17;`

### clearCancelQuery

public ClientWireProtocol.Request.Builder clearCancelQuery()
`.xg.cmdcomp.CancelQuery cancel_query = 17;`

### getCancelQueryBuilder

public ClientWireProtocol.CancelQuery.Builder getCancelQueryBuilder()
`.xg.cmdcomp.CancelQuery cancel_query = 17;`

### getCancelQueryOrBuilder

public ClientWireProtocol.CancelQueryOrBuilder getCancelQueryOrBuilder()
`.xg.cmdcomp.CancelQuery cancel_query = 17;`

Specified by:
  `getCancelQueryOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasExecutePlan

public boolean hasExecutePlan()

     SystemWideQueries system_wide_queries = 18;  // Deprecated
     LocalQueries local_queries = 19;
     SystemWideCompletedQueries system_wide_completed_queries = 31;  // Deprecated

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

Specified by:
  `hasExecutePlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executePlan field is set.

### getExecutePlan

public ClientWireProtocol.ExecutePlan getExecutePlan()

     SystemWideQueries system_wide_queries = 18;  // Deprecated
     LocalQueries local_queries = 19;
     SystemWideCompletedQueries system_wide_completed_queries = 31;  // Deprecated

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

Specified by:
  `getExecutePlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executePlan.

### setExecutePlan

public ClientWireProtocol.Request.Builder setExecutePlan(ClientWireProtocol.ExecutePlan value)

     SystemWideQueries system_wide_queries = 18;  // Deprecated
     LocalQueries local_queries = 19;
     SystemWideCompletedQueries system_wide_completed_queries = 31;  // Deprecated

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

### setExecutePlan

public ClientWireProtocol.Request.Builder setExecutePlan(ClientWireProtocol.ExecutePlan.Builder builderForValue)

     SystemWideQueries system_wide_queries = 18;  // Deprecated
     LocalQueries local_queries = 19;
     SystemWideCompletedQueries system_wide_completed_queries = 31;  // Deprecated

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

### mergeExecutePlan

public ClientWireProtocol.Request.Builder mergeExecutePlan(ClientWireProtocol.ExecutePlan value)

     SystemWideQueries system_wide_queries = 18;  // Deprecated
     LocalQueries local_queries = 19;
     SystemWideCompletedQueries system_wide_completed_queries = 31;  // Deprecated

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

### clearExecutePlan

public ClientWireProtocol.Request.Builder clearExecutePlan()

     SystemWideQueries system_wide_queries = 18;  // Deprecated
     LocalQueries local_queries = 19;
     SystemWideCompletedQueries system_wide_completed_queries = 31;  // Deprecated

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

### getExecutePlanBuilder

public ClientWireProtocol.ExecutePlan.Builder getExecutePlanBuilder()

     SystemWideQueries system_wide_queries = 18;  // Deprecated
     LocalQueries local_queries = 19;
     SystemWideCompletedQueries system_wide_completed_queries = 31;  // Deprecated

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

### getExecutePlanOrBuilder

public ClientWireProtocol.ExecutePlanOrBuilder getExecutePlanOrBuilder()

     SystemWideQueries system_wide_queries = 18;  // Deprecated
     LocalQueries local_queries = 19;
     SystemWideCompletedQueries system_wide_completed_queries = 31;  // Deprecated

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

Specified by:
  `getExecutePlanOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasExplainPlan

public boolean hasExplainPlan()
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

Specified by:
  `hasExplainPlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the explainPlan field is set.

### getExplainPlan

public ClientWireProtocol.ExplainPlan getExplainPlan()
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

Specified by:
  `getExplainPlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The explainPlan.

### setExplainPlan

public ClientWireProtocol.Request.Builder setExplainPlan(ClientWireProtocol.ExplainPlan value)
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

### setExplainPlan

public ClientWireProtocol.Request.Builder setExplainPlan(ClientWireProtocol.ExplainPlan.Builder builderForValue)
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

### mergeExplainPlan

public ClientWireProtocol.Request.Builder mergeExplainPlan(ClientWireProtocol.ExplainPlan value)
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

### clearExplainPlan

public ClientWireProtocol.Request.Builder clearExplainPlan()
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

### getExplainPlanBuilder

public ClientWireProtocol.ExplainPlan.Builder getExplainPlanBuilder()
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

### getExplainPlanOrBuilder

public ClientWireProtocol.ExplainPlanOrBuilder getExplainPlanOrBuilder()
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

Specified by:
  `getExplainPlanOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasListPlan

public boolean hasListPlan()
`.xg.cmdcomp.ListPlan list_plan = 22;`

Specified by:
  `hasListPlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the listPlan field is set.

### getListPlan

public ClientWireProtocol.ListPlan getListPlan()
`.xg.cmdcomp.ListPlan list_plan = 22;`

Specified by:
  `getListPlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The listPlan.

### setListPlan

public ClientWireProtocol.Request.Builder setListPlan(ClientWireProtocol.ListPlan value)
`.xg.cmdcomp.ListPlan list_plan = 22;`

### setListPlan

public ClientWireProtocol.Request.Builder setListPlan(ClientWireProtocol.ListPlan.Builder builderForValue)
`.xg.cmdcomp.ListPlan list_plan = 22;`

### mergeListPlan

public ClientWireProtocol.Request.Builder mergeListPlan(ClientWireProtocol.ListPlan value)
`.xg.cmdcomp.ListPlan list_plan = 22;`

### clearListPlan

public ClientWireProtocol.Request.Builder clearListPlan()
`.xg.cmdcomp.ListPlan list_plan = 22;`

### getListPlanBuilder

public ClientWireProtocol.ListPlan.Builder getListPlanBuilder()
`.xg.cmdcomp.ListPlan list_plan = 22;`

### getListPlanOrBuilder

public ClientWireProtocol.ListPlanOrBuilder getListPlanOrBuilder()
`.xg.cmdcomp.ListPlan list_plan = 22;`

Specified by:
  `getListPlanOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasKillQuery

public boolean hasKillQuery()
`.xg.cmdcomp.KillQuery kill_query = 23;`

Specified by:
  `hasKillQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the killQuery field is set.

### getKillQuery

public ClientWireProtocol.KillQuery getKillQuery()
`.xg.cmdcomp.KillQuery kill_query = 23;`

Specified by:
  `getKillQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The killQuery.

### setKillQuery

public ClientWireProtocol.Request.Builder setKillQuery(ClientWireProtocol.KillQuery value)
`.xg.cmdcomp.KillQuery kill_query = 23;`

### setKillQuery

public ClientWireProtocol.Request.Builder setKillQuery(ClientWireProtocol.KillQuery.Builder builderForValue)
`.xg.cmdcomp.KillQuery kill_query = 23;`

### mergeKillQuery

public ClientWireProtocol.Request.Builder mergeKillQuery(ClientWireProtocol.KillQuery value)
`.xg.cmdcomp.KillQuery kill_query = 23;`

### clearKillQuery

public ClientWireProtocol.Request.Builder clearKillQuery()
`.xg.cmdcomp.KillQuery kill_query = 23;`

### getKillQueryBuilder

public ClientWireProtocol.KillQuery.Builder getKillQueryBuilder()
`.xg.cmdcomp.KillQuery kill_query = 23;`

### getKillQueryOrBuilder

public ClientWireProtocol.KillQueryOrBuilder getKillQueryOrBuilder()
`.xg.cmdcomp.KillQuery kill_query = 23;`

Specified by:
  `getKillQueryOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasExecuteInlinePlan

public boolean hasExecuteInlinePlan()
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

Specified by:
  `hasExecuteInlinePlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executeInlinePlan field is set.

### getExecuteInlinePlan

public ClientWireProtocol.ExecuteInlinePlan getExecuteInlinePlan()
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

Specified by:
  `getExecuteInlinePlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executeInlinePlan.

### setExecuteInlinePlan

public ClientWireProtocol.Request.Builder setExecuteInlinePlan(ClientWireProtocol.ExecuteInlinePlan value)
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

### setExecuteInlinePlan

public ClientWireProtocol.Request.Builder setExecuteInlinePlan(ClientWireProtocol.ExecuteInlinePlan.Builder builderForValue)
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

### mergeExecuteInlinePlan

public ClientWireProtocol.Request.Builder mergeExecuteInlinePlan(ClientWireProtocol.ExecuteInlinePlan value)
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

### clearExecuteInlinePlan

public ClientWireProtocol.Request.Builder clearExecuteInlinePlan()
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

### getExecuteInlinePlanBuilder

public ClientWireProtocol.ExecuteInlinePlan.Builder getExecuteInlinePlanBuilder()
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

### getExecuteInlinePlanOrBuilder

public ClientWireProtocol.ExecuteInlinePlanOrBuilder getExecuteInlinePlanOrBuilder()
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

Specified by:
  `getExecuteInlinePlanOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasForceExternal

@Deprecated public boolean hasForceExternal()
Deprecated.
xg.cmdcomp.Request.force_external is deprecated. See libxgproto/sharedMessages/clientWireProtocol.proto;l=513
`.xg.cmdcomp.ForceExternal force_external = 25 [deprecated = true];`

Specified by:
  `hasForceExternal` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the forceExternal field is set.

### getForceExternal

@Deprecated public ClientWireProtocol.ForceExternal getForceExternal()
Deprecated.
xg.cmdcomp.Request.force_external is deprecated. See libxgproto/sharedMessages/clientWireProtocol.proto;l=513
`.xg.cmdcomp.ForceExternal force_external = 25 [deprecated = true];`

Specified by:
  `getForceExternal` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The forceExternal.

### setForceExternal

@Deprecated public ClientWireProtocol.Request.Builder setForceExternal(ClientWireProtocol.ForceExternal value)
Deprecated.
`.xg.cmdcomp.ForceExternal force_external = 25 [deprecated = true];`

### setForceExternal

@Deprecated public ClientWireProtocol.Request.Builder setForceExternal(ClientWireProtocol.ForceExternal.Builder builderForValue)
Deprecated.
`.xg.cmdcomp.ForceExternal force_external = 25 [deprecated = true];`

### mergeForceExternal

@Deprecated public ClientWireProtocol.Request.Builder mergeForceExternal(ClientWireProtocol.ForceExternal value)
Deprecated.
`.xg.cmdcomp.ForceExternal force_external = 25 [deprecated = true];`

### clearForceExternal

@Deprecated public ClientWireProtocol.Request.Builder clearForceExternal()
Deprecated.
`.xg.cmdcomp.ForceExternal force_external = 25 [deprecated = true];`

### getForceExternalBuilder

@Deprecated public ClientWireProtocol.ForceExternal.Builder getForceExternalBuilder()
Deprecated.
`.xg.cmdcomp.ForceExternal force_external = 25 [deprecated = true];`

### getForceExternalOrBuilder

@Deprecated public ClientWireProtocol.ForceExternalOrBuilder getForceExternalOrBuilder()
Deprecated.
`.xg.cmdcomp.ForceExternal force_external = 25 [deprecated = true];`

Specified by:
  `getForceExternalOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasExecuteExport

public boolean hasExecuteExport()
`.xg.cmdcomp.ExecuteExport execute_export = 26;`

Specified by:
  `hasExecuteExport` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executeExport field is set.

### getExecuteExport

public ClientWireProtocol.ExecuteExport getExecuteExport()
`.xg.cmdcomp.ExecuteExport execute_export = 26;`

Specified by:
  `getExecuteExport` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executeExport.

### setExecuteExport

public ClientWireProtocol.Request.Builder setExecuteExport(ClientWireProtocol.ExecuteExport value)
`.xg.cmdcomp.ExecuteExport execute_export = 26;`

### setExecuteExport

public ClientWireProtocol.Request.Builder setExecuteExport(ClientWireProtocol.ExecuteExport.Builder builderForValue)
`.xg.cmdcomp.ExecuteExport execute_export = 26;`

### mergeExecuteExport

public ClientWireProtocol.Request.Builder mergeExecuteExport(ClientWireProtocol.ExecuteExport value)
`.xg.cmdcomp.ExecuteExport execute_export = 26;`

### clearExecuteExport

public ClientWireProtocol.Request.Builder clearExecuteExport()
`.xg.cmdcomp.ExecuteExport execute_export = 26;`

### getExecuteExportBuilder

public ClientWireProtocol.ExecuteExport.Builder getExecuteExportBuilder()
`.xg.cmdcomp.ExecuteExport execute_export = 26;`

### getExecuteExportOrBuilder

public ClientWireProtocol.ExecuteExportOrBuilder getExecuteExportOrBuilder()
`.xg.cmdcomp.ExecuteExport execute_export = 26;`

Specified by:
  `getExecuteExportOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasAttachToQuery

public boolean hasAttachToQuery()

     SetPSO set_pso = 27; // Deprecated
     28 is defined above
     29 is defined above

`.xg.cmdcomp.AttachToQuery attach_to_query = 30;`

Specified by:
  `hasAttachToQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the attachToQuery field is set.

### getAttachToQuery

public ClientWireProtocol.AttachToQuery getAttachToQuery()

     SetPSO set_pso = 27; // Deprecated
     28 is defined above
     29 is defined above

`.xg.cmdcomp.AttachToQuery attach_to_query = 30;`

Specified by:
  `getAttachToQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The attachToQuery.

### setAttachToQuery

public ClientWireProtocol.Request.Builder setAttachToQuery(ClientWireProtocol.AttachToQuery value)

     SetPSO set_pso = 27; // Deprecated
     28 is defined above
     29 is defined above

`.xg.cmdcomp.AttachToQuery attach_to_query = 30;`

### setAttachToQuery

public ClientWireProtocol.Request.Builder setAttachToQuery(ClientWireProtocol.AttachToQuery.Builder builderForValue)

     SetPSO set_pso = 27; // Deprecated
     28 is defined above
     29 is defined above

`.xg.cmdcomp.AttachToQuery attach_to_query = 30;`

### mergeAttachToQuery

public ClientWireProtocol.Request.Builder mergeAttachToQuery(ClientWireProtocol.AttachToQuery value)

     SetPSO set_pso = 27; // Deprecated
     28 is defined above
     29 is defined above

`.xg.cmdcomp.AttachToQuery attach_to_query = 30;`

### clearAttachToQuery

public ClientWireProtocol.Request.Builder clearAttachToQuery()

     SetPSO set_pso = 27; // Deprecated
     28 is defined above
     29 is defined above

`.xg.cmdcomp.AttachToQuery attach_to_query = 30;`

### getAttachToQueryBuilder

public ClientWireProtocol.AttachToQuery.Builder getAttachToQueryBuilder()

     SetPSO set_pso = 27; // Deprecated
     28 is defined above
     29 is defined above

`.xg.cmdcomp.AttachToQuery attach_to_query = 30;`

### getAttachToQueryOrBuilder

public ClientWireProtocol.AttachToQueryOrBuilder getAttachToQueryOrBuilder()

     SetPSO set_pso = 27; // Deprecated
     28 is defined above
     29 is defined above

`.xg.cmdcomp.AttachToQuery attach_to_query = 30;`

Specified by:
  `getAttachToQueryOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasSetParameter

public boolean hasSetParameter()

     31 is defined above

`.xg.cmdcomp.SetParameter set_parameter = 35;`

Specified by:
  `hasSetParameter` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the setParameter field is set.

### getSetParameter

public ClientWireProtocol.SetParameter getSetParameter()

     31 is defined above

`.xg.cmdcomp.SetParameter set_parameter = 35;`

Specified by:
  `getSetParameter` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The setParameter.

### setSetParameter

public ClientWireProtocol.Request.Builder setSetParameter(ClientWireProtocol.SetParameter value)

     31 is defined above

`.xg.cmdcomp.SetParameter set_parameter = 35;`

### setSetParameter

public ClientWireProtocol.Request.Builder setSetParameter(ClientWireProtocol.SetParameter.Builder builderForValue)

     31 is defined above

`.xg.cmdcomp.SetParameter set_parameter = 35;`

### mergeSetParameter

public ClientWireProtocol.Request.Builder mergeSetParameter(ClientWireProtocol.SetParameter value)

     31 is defined above

`.xg.cmdcomp.SetParameter set_parameter = 35;`

### clearSetParameter

public ClientWireProtocol.Request.Builder clearSetParameter()

     31 is defined above

`.xg.cmdcomp.SetParameter set_parameter = 35;`

### getSetParameterBuilder

public ClientWireProtocol.SetParameter.Builder getSetParameterBuilder()

     31 is defined above

`.xg.cmdcomp.SetParameter set_parameter = 35;`

### getSetParameterOrBuilder

public ClientWireProtocol.SetParameterOrBuilder getSetParameterOrBuilder()

     31 is defined above

`.xg.cmdcomp.SetParameter set_parameter = 35;`

Specified by:
  `getSetParameterOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasExplainPipeline

public boolean hasExplainPipeline()
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`

Specified by:
  `hasExplainPipeline` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the explainPipeline field is set.

### getExplainPipeline

public ClientWireProtocol.ExplainPipelineRequest getExplainPipeline()
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`

Specified by:
  `getExplainPipeline` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The explainPipeline.

### setExplainPipeline

public ClientWireProtocol.Request.Builder setExplainPipeline(ClientWireProtocol.ExplainPipelineRequest value)
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`

### setExplainPipeline

public ClientWireProtocol.Request.Builder setExplainPipeline(ClientWireProtocol.ExplainPipelineRequest.Builder builderForValue)
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`

### mergeExplainPipeline

public ClientWireProtocol.Request.Builder mergeExplainPipeline(ClientWireProtocol.ExplainPipelineRequest value)
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`

### clearExplainPipeline

public ClientWireProtocol.Request.Builder clearExplainPipeline()
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`

### getExplainPipelineBuilder

public ClientWireProtocol.ExplainPipelineRequest.Builder getExplainPipelineBuilder()
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`

### getExplainPipelineOrBuilder

public ClientWireProtocol.ExplainPipelineRequestOrBuilder getExplainPipelineOrBuilder()
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`

Specified by:
  `getExplainPipelineOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasClientConnectionGcm

public boolean hasClientConnectionGcm()
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`

Specified by:
  `hasClientConnectionGcm` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnectionGcm field is set.

### getClientConnectionGcm

public ClientWireProtocol.ClientConnectionGCM getClientConnectionGcm()
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`

Specified by:
  `getClientConnectionGcm` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnectionGcm.

### setClientConnectionGcm

public ClientWireProtocol.Request.Builder setClientConnectionGcm(ClientWireProtocol.ClientConnectionGCM value)
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`

### setClientConnectionGcm

public ClientWireProtocol.Request.Builder setClientConnectionGcm(ClientWireProtocol.ClientConnectionGCM.Builder builderForValue)
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`

### mergeClientConnectionGcm

public ClientWireProtocol.Request.Builder mergeClientConnectionGcm(ClientWireProtocol.ClientConnectionGCM value)
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`

### clearClientConnectionGcm

public ClientWireProtocol.Request.Builder clearClientConnectionGcm()
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`

### getClientConnectionGcmBuilder

public ClientWireProtocol.ClientConnectionGCM.Builder getClientConnectionGcmBuilder()
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`

### getClientConnectionGcmOrBuilder

public ClientWireProtocol.ClientConnectionGCMOrBuilder getClientConnectionGcmOrBuilder()
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`

Specified by:
  `getClientConnectionGcmOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasClientConnectionGcm2

public boolean hasClientConnectionGcm2()
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`

Specified by:
  `hasClientConnectionGcm2` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnectionGcm2 field is set.

### getClientConnectionGcm2

public ClientWireProtocol.ClientConnectionGCM2 getClientConnectionGcm2()
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`

Specified by:
  `getClientConnectionGcm2` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnectionGcm2.

### setClientConnectionGcm2

public ClientWireProtocol.Request.Builder setClientConnectionGcm2(ClientWireProtocol.ClientConnectionGCM2 value)
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`

### setClientConnectionGcm2

public ClientWireProtocol.Request.Builder setClientConnectionGcm2(ClientWireProtocol.ClientConnectionGCM2.Builder builderForValue)
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`

### mergeClientConnectionGcm2

public ClientWireProtocol.Request.Builder mergeClientConnectionGcm2(ClientWireProtocol.ClientConnectionGCM2 value)
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`

### clearClientConnectionGcm2

public ClientWireProtocol.Request.Builder clearClientConnectionGcm2()
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`

### getClientConnectionGcm2Builder

public ClientWireProtocol.ClientConnectionGCM2.Builder getClientConnectionGcm2Builder()
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`

### getClientConnectionGcm2OrBuilder

public ClientWireProtocol.ClientConnectionGCM2OrBuilder getClientConnectionGcm2OrBuilder()
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`

Specified by:
  `getClientConnectionGcm2OrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasClientConnectionSso

public boolean hasClientConnectionSso()

     CheckDataRequest check_data = 39 [deprecated = true];
     ClearCache clear_cache = 41;

`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`

Specified by:
  `hasClientConnectionSso` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnectionSso field is set.

### getClientConnectionSso

public ClientWireProtocol.ClientConnectionSSO getClientConnectionSso()

     CheckDataRequest check_data = 39 [deprecated = true];
     ClearCache clear_cache = 41;

`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`

Specified by:
  `getClientConnectionSso` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnectionSso.

### setClientConnectionSso

public ClientWireProtocol.Request.Builder setClientConnectionSso(ClientWireProtocol.ClientConnectionSSO value)

     CheckDataRequest check_data = 39 [deprecated = true];
     ClearCache clear_cache = 41;

`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`

### setClientConnectionSso

public ClientWireProtocol.Request.Builder setClientConnectionSso(ClientWireProtocol.ClientConnectionSSO.Builder builderForValue)

     CheckDataRequest check_data = 39 [deprecated = true];
     ClearCache clear_cache = 41;

`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`

### mergeClientConnectionSso

public ClientWireProtocol.Request.Builder mergeClientConnectionSso(ClientWireProtocol.ClientConnectionSSO value)

     CheckDataRequest check_data = 39 [deprecated = true];
     ClearCache clear_cache = 41;

`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`

### clearClientConnectionSso

public ClientWireProtocol.Request.Builder clearClientConnectionSso()

     CheckDataRequest check_data = 39 [deprecated = true];
     ClearCache clear_cache = 41;

`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`

### getClientConnectionSsoBuilder

public ClientWireProtocol.ClientConnectionSSO.Builder getClientConnectionSsoBuilder()

     CheckDataRequest check_data = 39 [deprecated = true];
     ClearCache clear_cache = 41;

`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`

### getClientConnectionSsoOrBuilder

public ClientWireProtocol.ClientConnectionSSOOrBuilder getClientConnectionSsoOrBuilder()

     CheckDataRequest check_data = 39 [deprecated = true];
     ClearCache clear_cache = 41;

`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`

Specified by:
  `getClientConnectionSsoOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasClientConnectionSso2

public boolean hasClientConnectionSso2()
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`

Specified by:
  `hasClientConnectionSso2` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnectionSso2 field is set.

### getClientConnectionSso2

public ClientWireProtocol.ClientConnectionSSO2 getClientConnectionSso2()
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`

Specified by:
  `getClientConnectionSso2` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnectionSso2.

### setClientConnectionSso2

public ClientWireProtocol.Request.Builder setClientConnectionSso2(ClientWireProtocol.ClientConnectionSSO2 value)
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`

### setClientConnectionSso2

public ClientWireProtocol.Request.Builder setClientConnectionSso2(ClientWireProtocol.ClientConnectionSSO2.Builder builderForValue)
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`

### mergeClientConnectionSso2

public ClientWireProtocol.Request.Builder mergeClientConnectionSso2(ClientWireProtocol.ClientConnectionSSO2 value)
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`

### clearClientConnectionSso2

public ClientWireProtocol.Request.Builder clearClientConnectionSso2()
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`

### getClientConnectionSso2Builder

public ClientWireProtocol.ClientConnectionSSO2.Builder getClientConnectionSso2Builder()
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`

### getClientConnectionSso2OrBuilder

public ClientWireProtocol.ClientConnectionSSO2OrBuilder getClientConnectionSso2OrBuilder()
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`

Specified by:
  `getClientConnectionSso2OrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasClientConnectionSecurityToken

public boolean hasClientConnectionSecurityToken()
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`

Specified by:
  `hasClientConnectionSecurityToken` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnectionSecurityToken field is set.

### getClientConnectionSecurityToken

public ClientWireProtocol.ClientConnectionSecurityToken getClientConnectionSecurityToken()
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`

Specified by:
  `getClientConnectionSecurityToken` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnectionSecurityToken.

### setClientConnectionSecurityToken

public ClientWireProtocol.Request.Builder setClientConnectionSecurityToken(ClientWireProtocol.ClientConnectionSecurityToken value)
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`

### setClientConnectionSecurityToken

public ClientWireProtocol.Request.Builder setClientConnectionSecurityToken(ClientWireProtocol.ClientConnectionSecurityToken.Builder builderForValue)
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`

### mergeClientConnectionSecurityToken

public ClientWireProtocol.Request.Builder mergeClientConnectionSecurityToken(ClientWireProtocol.ClientConnectionSecurityToken value)
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`

### clearClientConnectionSecurityToken

public ClientWireProtocol.Request.Builder clearClientConnectionSecurityToken()
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`

### getClientConnectionSecurityTokenBuilder

public ClientWireProtocol.ClientConnectionSecurityToken.Builder getClientConnectionSecurityTokenBuilder()
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`

### getClientConnectionSecurityTokenOrBuilder

public ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder getClientConnectionSecurityTokenOrBuilder()
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`

Specified by:
  `getClientConnectionSecurityTokenOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasClientConnectionRefreshSession

public boolean hasClientConnectionRefreshSession()
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`

Specified by:
  `hasClientConnectionRefreshSession` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnectionRefreshSession field is set.

### getClientConnectionRefreshSession

public ClientWireProtocol.ClientConnectionRefreshSession getClientConnectionRefreshSession()
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`

Specified by:
  `getClientConnectionRefreshSession` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnectionRefreshSession.

### setClientConnectionRefreshSession

public ClientWireProtocol.Request.Builder setClientConnectionRefreshSession(ClientWireProtocol.ClientConnectionRefreshSession value)
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`

### setClientConnectionRefreshSession

public ClientWireProtocol.Request.Builder setClientConnectionRefreshSession(ClientWireProtocol.ClientConnectionRefreshSession.Builder builderForValue)
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`

### mergeClientConnectionRefreshSession

public ClientWireProtocol.Request.Builder mergeClientConnectionRefreshSession(ClientWireProtocol.ClientConnectionRefreshSession value)
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`

### clearClientConnectionRefreshSession

public ClientWireProtocol.Request.Builder clearClientConnectionRefreshSession()
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`

### getClientConnectionRefreshSessionBuilder

public ClientWireProtocol.ClientConnectionRefreshSession.Builder getClientConnectionRefreshSessionBuilder()
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`

### getClientConnectionRefreshSessionOrBuilder

public ClientWireProtocol.ClientConnectionRefreshSessionOrBuilder getClientConnectionRefreshSessionOrBuilder()
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`

Specified by:
  `getClientConnectionRefreshSessionOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasClientConnectionRefreshToken

public boolean hasClientConnectionRefreshToken()
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`

Specified by:
  `hasClientConnectionRefreshToken` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnectionRefreshToken field is set.

### getClientConnectionRefreshToken

public ClientWireProtocol.ClientConnectionRefreshToken getClientConnectionRefreshToken()
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`

Specified by:
  `getClientConnectionRefreshToken` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnectionRefreshToken.

### setClientConnectionRefreshToken

public ClientWireProtocol.Request.Builder setClientConnectionRefreshToken(ClientWireProtocol.ClientConnectionRefreshToken value)
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`

### setClientConnectionRefreshToken

public ClientWireProtocol.Request.Builder setClientConnectionRefreshToken(ClientWireProtocol.ClientConnectionRefreshToken.Builder builderForValue)
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`

### mergeClientConnectionRefreshToken

public ClientWireProtocol.Request.Builder mergeClientConnectionRefreshToken(ClientWireProtocol.ClientConnectionRefreshToken value)
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`

### clearClientConnectionRefreshToken

public ClientWireProtocol.Request.Builder clearClientConnectionRefreshToken()
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`

### getClientConnectionRefreshTokenBuilder

public ClientWireProtocol.ClientConnectionRefreshToken.Builder getClientConnectionRefreshTokenBuilder()
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`

### getClientConnectionRefreshTokenOrBuilder

public ClientWireProtocol.ClientConnectionRefreshTokenOrBuilder getClientConnectionRefreshTokenOrBuilder()
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`

Specified by:
  `getClientConnectionRefreshTokenOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasFetchUpdateStatus

public boolean hasFetchUpdateStatus()
`.xg.cmdcomp.FetchUpdateStatus fetch_update_status = 47;`

Specified by:
  `hasFetchUpdateStatus` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the fetchUpdateStatus field is set.

### getFetchUpdateStatus

public ClientWireProtocol.FetchUpdateStatus getFetchUpdateStatus()
`.xg.cmdcomp.FetchUpdateStatus fetch_update_status = 47;`

Specified by:
  `getFetchUpdateStatus` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The fetchUpdateStatus.

### setFetchUpdateStatus

public ClientWireProtocol.Request.Builder setFetchUpdateStatus(ClientWireProtocol.FetchUpdateStatus value)
`.xg.cmdcomp.FetchUpdateStatus fetch_update_status = 47;`

### setFetchUpdateStatus

public ClientWireProtocol.Request.Builder setFetchUpdateStatus(ClientWireProtocol.FetchUpdateStatus.Builder builderForValue)
`.xg.cmdcomp.FetchUpdateStatus fetch_update_status = 47;`

### mergeFetchUpdateStatus

public ClientWireProtocol.Request.Builder mergeFetchUpdateStatus(ClientWireProtocol.FetchUpdateStatus value)
`.xg.cmdcomp.FetchUpdateStatus fetch_update_status = 47;`

### clearFetchUpdateStatus

public ClientWireProtocol.Request.Builder clearFetchUpdateStatus()
`.xg.cmdcomp.FetchUpdateStatus fetch_update_status = 47;`

### getFetchUpdateStatusBuilder

public ClientWireProtocol.FetchUpdateStatus.Builder getFetchUpdateStatusBuilder()
`.xg.cmdcomp.FetchUpdateStatus fetch_update_status = 47;`

### getFetchUpdateStatusOrBuilder

public ClientWireProtocol.FetchUpdateStatusOrBuilder getFetchUpdateStatusOrBuilder()
`.xg.cmdcomp.FetchUpdateStatus fetch_update_status = 47;`

Specified by:
  `getFetchUpdateStatusOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasFetchAuthenticators

public boolean hasFetchAuthenticators()
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`

Specified by:
  `hasFetchAuthenticators` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the fetchAuthenticators field is set.

### getFetchAuthenticators

public ClientWireProtocol.FetchAuthenticators getFetchAuthenticators()
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`

Specified by:
  `getFetchAuthenticators` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The fetchAuthenticators.

### setFetchAuthenticators

public ClientWireProtocol.Request.Builder setFetchAuthenticators(ClientWireProtocol.FetchAuthenticators value)
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`

### setFetchAuthenticators

public ClientWireProtocol.Request.Builder setFetchAuthenticators(ClientWireProtocol.FetchAuthenticators.Builder builderForValue)
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`

### mergeFetchAuthenticators

public ClientWireProtocol.Request.Builder mergeFetchAuthenticators(ClientWireProtocol.FetchAuthenticators value)
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`

### clearFetchAuthenticators

public ClientWireProtocol.Request.Builder clearFetchAuthenticators()
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`

### getFetchAuthenticatorsBuilder

public ClientWireProtocol.FetchAuthenticators.Builder getFetchAuthenticatorsBuilder()
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`

### getFetchAuthenticatorsOrBuilder

public ClientWireProtocol.FetchAuthenticatorsOrBuilder getFetchAuthenticatorsOrBuilder()
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`

Specified by:
  `getFetchAuthenticatorsOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`